> ## Documentation Index
> Fetch the complete documentation index at: https://portkey-docs-chore-model-provisioning-beta-feature-docs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Modify vector store



## OpenAPI

````yaml https://raw.githubusercontent.com/PaloAltoNetworks/openapi/refs/heads/main/openapi.yaml post /vector_stores/{vector_store_id}
openapi: 3.0.0
info:
  title: Prisma AIRS AI Gateway API
  version: 3.0.0
  description: ''
servers:
  - url: https://aigw.portkey.ai/v1
    description: Managed
  - url: https://self-hosted-gateway-url.example.com/v1
    description: Self-hosted -- replace with your own gateway host
security:
  - Authorization: []
tags:
  - name: Assistants
    description: ''
  - name: Audio
    description: ''
  - name: Batch
    description: ''
  - name: Chat
    description: ''
  - name: Completions
    description: ''
  - name: Embeddings
    description: ''
  - name: Files
    description: ''
  - name: Fine-Tuning
    description: ''
  - name: Images
    description: ''
  - name: Model Pricing
    description: ''
  - name: Models
    description: ''
  - name: Moderations
    description: ''
  - name: OCR
    description: ''
  - name: Realtime
    description: ''
  - name: Rerank
    description: ''
  - name: Responses
    description: ''
  - name: Vector Stores
    description: ''
  - name: Configs
    description: ''
  - name: Guardrails
    description: ''
  - name: Integrations
    description: ''
  - name: Integrations > Models
    description: ''
  - name: Integrations > Workspaces
    description: ''
  - name: Providers
    description: ''
  - name: Secret References
    description: ''
  - name: MCP Integrations
    description: ''
  - name: MCP Integrations > Capabilities
    description: ''
  - name: MCP Integrations > Metadata
    description: ''
  - name: MCP Integrations > Workspaces
    description: ''
  - name: MCP Servers
    description: ''
  - name: MCP Servers > Capabilities
    description: ''
  - name: MCP Servers > Connections
    description: ''
  - name: MCP Servers > User Access
    description: ''
  - name: API Keys
    description: ''
  - name: Deployments
    description: ''
  - name: Org Guardrails
    description: ''
  - name: Rate Limit Policies
    description: ''
  - name: Usage Limit Policies
    description: ''
  - name: Analytics > Graphs
    description: ''
  - name: Analytics > Groups
    description: ''
  - name: Analytics > Summary
    description: ''
  - name: Feedback
    description: ''
  - name: Logs
    description: ''
paths:
  /vector_stores/{vector_store_id}:
    post:
      tags:
        - Vector Stores
      operationId: modifyVectorStore
      parameters:
        - in: path
          name: vector_store_id
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateVectorStoreRequest'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VectorStoreObject'
components:
  schemas:
    UpdateVectorStoreRequest:
      type: object
      additionalProperties: false
      properties:
        name:
          type: string
          nullable: true
        expires_after:
          $ref: '#/components/schemas/VectorStoreExpirationAfter'
          nullable: true
        metadata:
          type: object
          x-oaiTypeLabel: map
          nullable: true
    VectorStoreObject:
      type: object
      title: Vector store
      properties:
        id:
          type: string
        object:
          type: string
          enum:
            - vector_store
        created_at:
          type: integer
        name:
          type: string
        usage_bytes:
          type: integer
        file_counts:
          type: object
          properties:
            in_progress:
              type: integer
            completed:
              type: integer
            failed:
              type: integer
            cancelled:
              type: integer
            total:
              type: integer
          required:
            - in_progress
            - completed
            - failed
            - cancelled
            - total
        status:
          type: string
          enum:
            - expired
            - in_progress
            - completed
        expires_after:
          $ref: '#/components/schemas/VectorStoreExpirationAfter'
        expires_at:
          type: integer
          nullable: true
        last_active_at:
          type: integer
          nullable: true
        metadata:
          type: object
          x-oaiTypeLabel: map
          nullable: true
      required:
        - id
        - object
        - usage_bytes
        - created_at
        - status
        - last_active_at
        - name
        - file_counts
        - metadata
    VectorStoreExpirationAfter:
      type: object
      title: Vector store expiration policy
      properties:
        anchor:
          type: string
          enum:
            - last_active_at
        days:
          type: integer
          minimum: 1
          maximum: 365
      required:
        - anchor
        - days
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````